## myanon 0.8.1

=== debian/changelog ===
myanon (0.8.1-3) unstable; urgency=medium

  * Update Standards-Version to 4.7.3
  * Fix trailing whitespace in debian/rules
  * Update debian/watch format

 -- Pierre POMES <pierre.pomes@gmail.com>  Sun, 09 Feb 2026 11:00:00 -0500

myanon (0.8.1-2) unstable; urgency=medium

  * Fix package description

 -- Pierre POMES <pierre.pomes@gmail.com>  Sun, 09 Feb 2026 10:00:00 -0500

myanon (0.8.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1127451)

 -- Pierre POMES <pierre.pomes@gmail.com>  Sun, 08 Feb 2026 12:00:00 -0500

myanon (0.8-ppa-noble) noble; urgency=medium

  * Remove jq dependency: JSON anonymization now handled by built-in parser
  * Add -v/--version and -h/--help options
  * Add man page
  * Support large strings from Python anonymization functions
  * Add unescape_sql_string and escape_sql_string in python myanon_utils module
  * Add tab as separator when reading config file
  * Fix CRLF line endings in config file crashing the parser
  * Fix escape of control chars in config_error()
  * Detect duplicate table and field definitions in config file

 -- Pierre POMES <pierre.pomes@gmail.com>  Fri, 06 Feb 2026 14:02:15 -0500

myanon (0.7-ppa-noble) noble; urgency=medium

  * Pass configuration parameters (e.g. secret) to pyscript modules
  * Add regexp support for table name in config file
  * Add parsing of year type
  * Fix JSON parsing with backslashes
  * Add substring field action config
  * Add appendindex/prependindex field action config
  * Handle line number correctly for parsing error reporting
  * Improve UTF-8 support

 -- Pierre POMES <pierre.pomes@gmail.com>  Sat, 17 May 2025 11:06:06 -0400

myanon (0.6-ppa-noble) noble; urgency=medium

  * Add support for anonymization based on Python.
  * Add parsing of json fields.
  * Add parsing of values separated by a single char.
  * Add parsing of "INSERT IGNORE" lines.

 -- Pierre POMES <pierre.pomes@gmail.com>  Mon, 15 Jul 2024 16:35:05 -0400

myanon (0.5-ppa-jammy) jammy; urgency=medium

  * Add parsing for some missing types (set, point, geometry)
  * Fixed values may be up to 1024 chars
  * Report a warning on stderr for fields not found in dump file
  * Add 'prependkey'/'appendkey' options
  * Add Docker support
  * Minor fixes

 -- Pierre POMES <pierre.pomes@gmail.com>  Sun, 16 Jul 2023 21:17:35 -0400

myanon (0.4-ppa-jammy) jammy; urgency=medium

  * Fix quoting for blob type
  * Add option to control quoting for fixed values
  * Add support for '--complete-insert' mysqldump option
  * Add support for '--hex-blob' mysqldump option
  * Add option to truncate tables

 -- Pierre POMES <pierre.pomes@gmail.com>  Tue, 02 Aug 2022 21:37:01 -0400

myanon (0.3.1-ppa-jammy) jammy; urgency=low

  * NULL values should not be anonymized

 -- Pierre POMES <pierre.pomes@gmail.com>  Sun, 24 Apr 2022 19:31:32 -0400

myanon (0.3) bionic; urgency=low

  * Add support for fixed null values
  * Add debian/copyright file
  * Update LICENSE.md

 -- Pierre POMES <pierre.pomes@gmail.com>  Thu, 11 Nov 2021 18:22:15 -0500

myanon (0.2) bionic; urgency=low

  * Add support for FULLTEXT keys in table statements
  * Add support for quoted/unquoted fixed values
  * Add support for empty strings for fixed values

 -- Pierre POMES <pierre.pomes@gmail.com>  Sun, 07 Nov 2021 07:47:39 -0500

myanon (0.1-1) UNRELEASED; urgency=low

  * Initial release

 -- Pierre POMES <pierre.pomes@gmail.com>  Thu, 04 Mar 2021 20:25:17 -0500
