=== debian/control ===
Source: myanon
Section: admin
Maintainer: Pierre POMES <pierre.pomes@gmail.com>
Priority: optional
Standards-Version: 4.7.3
Rules-Requires-Root: no
Homepage: https://myanon.io
Vcs-Git: https://github.com/ppomes/myanon.git
Vcs-Browser: https://github.com/ppomes/myanon
Build-Depends: debhelper-compat (= 13), flex (>= 2.6), bison (>= 3), automake (>= 1.15), autoconf (>= 2.69), python3-dev (>= 3.8)

Package: myanon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: mysqldump anonymizer
 Myanon is a streaming anonymizer for MySQL dump files. It reads a mysqldump
 from standard input and writes an anonymized version to standard output.
 .
 It supports many anonymization methods including deterministic hashing
 (texthash, emailhash, inthash), fixed value replacement, substrings,
 key-based and index-based transformations, and custom Python functions.
 It can also anonymize JSON fields embedded in SQL strings and truncate
 entire tables. All hashing methods use HMAC-SHA256 with a configurable
 secret to preserve referential integrity across the dump.
 .
 Myanon is configured via a simple configuration file that maps database
 table columns to anonymization rules.
