=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-python

override_dh_installexamples:
	dh_installexamples main/myanon-sample.conf
