=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//,repacksuffix=+ds" \
  https://github.com/ppomes/myanon/tags .*/v?(\d\S+)\.tar\.gz
